You are here: Installation > Setting Up Environment > Linux Dependencies

Linux Dependencies

Successful completion of the installation of SPS for Linux requires the installation of a number of prerequisite packages. To prevent script failures, these packages should be installed prior to attempting to run the installation setup script.

The prerequisite packages are broken down into the following three groups:

Depending on the operating system version (Red Hat/CentOS/OEL 5.x, Red Hat/CentOS/OL 6.x or SLES 11 SPx) and the packages installed based on the operating system type selected (minimal, default, etc.), additional dependent packages may be required.

Note: You may want to consider using a repository-based package manager such as yum or zypper that is designed to automatically resolve dependencies by searching in predefined software repositories thereby easing the installation of these required packages.

rpm Install Example

rpm -ivh <package(s)>

Yum Install Example

yum install <package(s)>

Zypper Install Example

zypper install <package(s)>

General Package Dependencies

The following packages are always required to successfully install SPS for Linux. The package architecture version of the installed package should always match the operating system architecture (x86 or x86_64):

Red Hat, CentOS and OEL (5.x and 6.x)

Note: Some or all of these packages may already be installed depending on the selections made during the install of the operating system.

SLES 11 (SPx)

Note: Some or all of these packages may already be installed depending on the selections made during the install of the operating system.

Optional Recovery Kit Package Dependencies

Additionally, some of the SIOS Protection Suite for Linux optional Application Recovery Kits (ARKs) require supporting packages to be installed.

If NFS exports are to be protected via the SIOS Protection Suite for Linux NFS Application Recovery Kit, then the following dependent packages are required:

If multipath devices are to be protected via Device Mapper Multipath (DMMP), Hitachi Dynamic Link Manager Software (HDLM), Power Path or NEC iStorage StoragePathSavior (NECSPS), then the following dependent package is required:

If Oracle Database instances are to be protected via the SIOS Protection Suite for Linux Oracle Application Recovery Kit, then the following dependent package is required:

If Websphere MQSeries queue managers are to be protected via the SIOS Protection Suite for Linux Websphere MQ/MQSeries Application Recovery Kit, then the following dependent Websphere MQ packages are required:

If Software RAID devices are to be protected via the SIOS Protection Suite for Linux Software RAID (md) Recovery Kit, then the following dependent package is required:

Yum/Zypper Package Lists

The following list of rpm packages, for each distribution listed and installed with the corresponding package installer, is the minimum list of packages that will resolve all the required dependencies for SIOS Protection Suite for Linux:

RHEL 6

yum install libXtst libstdc++ bzip2-libs pam zlib patch redhat-lsb

SLES11

zypper install libstdc++ bzip2 pam pam-modules zlib lsb

of

© 2014 SIOS Technology Corp., the industry's leading provider of business continuity solutions, data replication for continuous data protection.